### Method

# GLib BookmarkFile set_mime_type

since: 2.12

#### Declaration

    void
    g_bookmark_file_set_mime_type (
      GBookmarkFile* bookmark,
      const gchar* uri,
      const gchar* mime_type
    )

#### Description

Sets `mime_type` as the MIME type of the bookmark for `uri`.

If a bookmark for `uri` cannot be found then it is created.

Available since: 2.12

#### Parameters

`uri`

  Type: `const gchar*`

  A valid URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`mime_type`

  Type: `const gchar*`

  A MIME type.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.